Method: featuredContentPlaybooks.fetchFacets

Full name: projects.locations.instances.contentHub.featuredContentPlaybooks.fetchFacets

Fetches available facets for filtering FeaturedContentPlaybooks. Use this method to discover the categories (e.g., integrations, tags) and their possible values that can be used to narrow down the list of curated playbooks.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/featuredContentPlaybooks:fetchFacets

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of FeaturedContentPlaybooks. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub

Request body

The request body must be empty.

Response body

Response message containing the available facets for FeaturedContentPlaybooks.

If successful, the response body contains data with the following structure:

JSON representation
{
  "integrations": [
    {
      object (FacetOption)
    }
  ],
  "tags": [
    {
      object (FacetOption)
    }
  ]
}
Fields
integrations[]

object (FacetOption)

Output only. Available integration facet values.

tags[]

object (FacetOption)

Output only. Available tag facet values.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

FacetOption

Represents a single facet option, providing a possible value for a facet.

JSON representation
{
  "value": string
}
Fields
value

string

Output only. The value of the facet.